Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886168 - Remove Terminal Option for Windows Nodes
Summary: Remove Terminal Option for Windows Nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1985518 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-07 19:25 UTC by Pratik Mahajan
Modified: 2021-07-23 19:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:23:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
windows-node-page (138.97 KB, image/png)
2020-10-15 09:09 UTC, Yanping Zhang
no flags Details
Windows Node No Terminal Option (149.20 KB, image/png)
2020-10-26 08:53 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6876 0 None closed Bug 1886168: Hide Terminal tab from the NodeDetailsPage if Windows on the Node 2020-10-26 05:55:06 UTC
Github openshift console pull 6954 0 None closed Bug 1886168: Check if the label exists before comparing its value 2020-10-26 05:55:06 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:25 UTC

Description Pratik Mahajan 2020-10-07 19:25:29 UTC
Description of problem:
Windows Nodes do not support Terminal access for nodes currently. 

https://console-openshift-console.apps.<CLUSTER>.devcluster.openshift.com/k8s/cluster/nodes/<NODE_ADDRESS>/terminal

This is causing the terminal to fail for windows nodes. 
The terminal needs to be disabled till the support for terminal is added..

How reproducible:
1. Bring up a Windows Node on an Openshift Cluster
        follow: https://github.com/openshift/windows-machine-config-operator
2. Check https://console-openshift-console.apps.<CLUSTER>.devcluster.openshift.com/k8s/cluster/nodes/<NODE_ADDRESS>/terminal


Actual results:
Failing terminal for Windows Worker Nodes

Expected results:
Terminal is disabled for Windows Worker Nodes (Nodes with label: `node.openshift.io/os_id=Windows`)

Additional info:
For questions regarding Windows Node ping on #forum-winc, tag @winc-team on slack

Comment 3 Yanping Zhang 2020-10-15 09:08:31 UTC
Set up ocp 4.7 cluster containing windows node with payload 4.7.0-0.nightly-2020-10-15-011122 which contains the fix pr https://github.com/openshift/console/pull/6876.
Go to the windows node page, there is still "Terminal" tab, and the terminal could not be connected.

Comment 4 Yanping Zhang 2020-10-15 09:09:29 UTC
Created attachment 1721783 [details]
windows-node-page

Comment 6 Yadan Pei 2020-10-26 08:53:47 UTC
Created attachment 1724124 [details]
Windows Node No Terminal Option

Setup 4.7 cluster with windows node, goes to windows node page, no Terminal page  link.

Verified on 4.7.0-0.nightly-2020-10-24-155529

Comment 9 errata-xmlrpc 2021-02-24 15:23:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633

Comment 10 Samuel Padgett 2021-07-23 19:43:32 UTC
*** Bug 1985518 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.